org.eclipse.actf.model.ui.util

## Class PerspectiveListenerForBrowserLaunch

- java.lang.Object
- - org.eclipse.actf.model.ui.util.PerspectiveListenerForBrowserLaunch

All Implemented Interfaces:
  IPerspectiveListener

    public class PerspectiveListenerForBrowserLaunch
    extends Object
    implements IPerspectiveListener

Utility to launch an ACTF Web Browser when a specified perspective is activated.

### Constructor Summary

Constructors
Constructor and Description
`PerspectiveListenerForBrowserLaunch(String perspectiveID)` Initialize perspective listener for specified perspective.

### Method Summary

Methods
`void` `perspectiveActivated(IWorkbenchPage page, IPerspectiveDescriptor perspective)`
`void` `perspectiveChanged(IWorkbenchPage page, IPerspectiveDescriptor perspective, String changeId)`
`static void` `setTargetUrl(URL targetUrl)` Set the start page URL.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PerspectiveListenerForBrowserLaunch

    public PerspectiveListenerForBrowserLaunch(String perspectiveID)

Initialize perspective listener for specified perspective.

Parameters:
  `perspectiveID` - target perspective ID
See Also:
  `IPageService.addPerspectiveListener(IPerspectiveListener)`

### Method Detail

#### setTargetUrl

    public static void setTargetUrl(URL targetUrl)

Set the start page URL. If targetUrl is null, "about:blank" will be used.

Parameters:
  `targetUrl` - URL for start page

#### perspectiveActivated

    public void perspectiveActivated(IWorkbenchPage page,
                            IPerspectiveDescriptor perspective)

Specified by:
  `perspectiveActivated` in interface `IPerspectiveListener`

#### perspectiveChanged

    public void perspectiveChanged(IWorkbenchPage page,
                          IPerspectiveDescriptor perspective,
                          String changeId)

Specified by:
  `perspectiveChanged` in interface `IPerspectiveListener`